Limerence
Embed

Get Embed Agent

Get agent data for embedding (public, validates origin)

GET
/embed/{agentId}

Get agent data for embedding (public, validates origin)

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

agentId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/embed/string"
{  "agent": {    "dataSources": [      {        "dataSource": {          "id": "string",          "name": "string",          "type": "SQLITE"        },        "agentId": "string",        "createdAt": "string",        "dataSourceId": "string",        "id": "string"      }    ],    "shortcuts": [      {        "agentId": "string",        "createdAt": "string",        "description": null,        "disableModelInvocation": true,        "icon": null,        "id": "string",        "immediate": true,        "integrations": "string",        "name": "string",        "prefix": "string",        "prompt": "string",        "sortOrder": 0,        "updatedAt": "string",        "userInvokable": true,        "visibility": "string"      }    ],    "capabilities": "string",    "createdAt": "string",    "description": null,    "grounding": "string",    "id": "string",    "instructions": "string",    "modelId": null,    "name": "string",    "providerId": null,    "teamId": "string",    "transcriptionModelId": null,    "updatedAt": "string"  },  "embed": {    "allowedOrigins": [      "string"    ],    "voiceEnabled": true  }}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "embed/not-configured",    "detail": "This agent has not been configured for embedding."  },  "message": "Embedding not configured"}
{  "cause": {    "code": "embed/agent-not-found",    "detail": "The requested agent does not exist."  },  "message": "Agent not found"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}